## ros-indigo-pr2-run-stop-auto-restart 1.6.26

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(pr2_run_stop_auto_restart)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS 
   roscpp 
   pr2_msgs 
   pr2_power_board 
   std_srvs)

include_directories(${catkin_INCLUDE_DIRS})

catkin_package()

add_executable(run_stop_auto_restart src/run_stop_auto_restart.cpp)
target_link_libraries(run_stop_auto_restart ${catkin_LIBRARIES})
add_dependencies(run_stop_auto_restart pr2_msgs_gencpp)

install(TARGETS run_stop_auto_restart
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-indigo-pr2-run-stop-auto-restart (1.6.26-0trusty) trusty; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 19 Mar 2018 07:00:00 -0000

ros-indigo-pr2-run-stop-auto-restart (1.6.25-0trusty) trusty; urgency=high

  * updated packages for new maintainer
  * updated changelogs
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 19 Mar 2018 07:00:00 -0000

ros-indigo-pr2-run-stop-auto-restart (1.6.7-0trusty) trusty; urgency=high

  * Compile pr2_run_stop_auto_restart after generating pr2_msgs c++ codes
  * Contributors: Ryohei Ueda

 -- Austin Hendrix <ahendrix@willowgarage.com>  Wed, 11 Feb 2015 08:00:00 -0000

=== debian/control ===
Source: ros-indigo-pr2-run-stop-auto-restart
Section: misc
Priority: extra
Maintainer: Dave Feil-Seifer <dave@cse.unr.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-pr2-msgs, ros-indigo-pr2-power-board, ros-indigo-roscpp, ros-indigo-std-srvs
Homepage: http://ros.org/wiki/pr2_run_stop_auto_restart
Standards-Version: 3.9.2

Package: ros-indigo-pr2-run-stop-auto-restart
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-pr2-msgs, ros-indigo-pr2-power-board, ros-indigo-roscpp, ros-indigo-std-srvs
Description: This package provides a node that monitors the state of the run stops of the pr2_robot.
 When the state of the run stop changes from off to on, this node will automatically enable the power to the motors, and reset the motors. This allows you to use the run stop as a 'pause' button. By using the run stop as a tool to power up the robot, the run stop is also in reach of the user once the robot starts moving.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pr2-run-stop-auto-restart//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
